
![](documentation/colibri_logo_small.png)

Colibri is a [free software](https://en.wikipedia.org/wiki/Free_software)
(GPL) used to handle mailing lists. It does the same task as [GNU
mailman](https://en.wikipedia.org/wiki/GNU_Mailman) or
[majordomo](https://en.wikipedia.org/wiki/Majordomo_(software)), but in a
somewhat more modern way.

The homepage and mercurial repository are at https://freehackers.org/orzel/colibri.

It is written by [Thomas Capricelli](https://freehackers.org/thomas/).

Those features are already present:

-   web interface for browsing lists, (un)subscribing, changing user
    preferences, changing list preferences (for list admin), creating
    mailing lists.
-   handle multiple domains, so far as you can make them delivered on
    the computer running the daemon
-   handle multiple emails for an account. All need to be validated
    through a link send to the email.
-   display of archives, public or not, with attachments.
-   tagging of output mails ( adding \[mylist\] in the subject, only if
    not already present)
-   scale from one list (simple interface) to huge site with lot of
    lists sorted by topics, all with descriptions and such.
-   the web interface is easy to adapt, for better integration with
    existing sites. You only need to change few files, using django
    templates.
-   import configuration, subscribers list and archive from
    [sympa](https://en.wikipedia.org/wiki/Sympa)

Those features are not yet implemented, but planned

-   (un)subscribe or getting help by mail
-   import configuration and subscribers list from
    [mailman](https://en.wikipedia.org/wiki/Mailman_%28GNU%29)
-   moderation of emails
-   handling of bounces from the web interface

Here’s an example of a page from the web interface:

![](documentation/myaccount.png)

See some more [screenshots](documentation/Screenshots.md).

# Information for system administrators

Colibri is written on [python](https://www.python.org) and is based on
the [django](https://www.djangoproject.com)
[ORM](https://en.wikipedia.org/wiki/Object-relational_mapping). This
means you’ll need python and [django](https://www.djangoproject.com) on
the server.

You do not need to use the web front-end, but if you do, you’ll need
some way to make your web server execute python code (typically this
means using [gunicorn](https://gunicorn.org), but there are
[numerous other ways](https://docs.djangoproject.com/en/1.6/howto/deployment) ).

First read the [Technical summary of colibri](documentation/Technical_summary_of_colibri.md).

Then there are the detailed notes about [installing colibri](documentation/Installing_colibri.md).

You might also be interested in the preliminary support for
[importing from sympa](documentation/Importing_from_sympa.md).

# Information for developers

Colibri is written in [python](https://www.python.org), and makes heavy
use of both django
[ORM](https://en.wikipedia.org/wiki/Object-relational_mapping) and the
[email package](https://docs.python.org/library/email.html) of python.

The web interface is made on top of
[django](https://www.djangoproject.com)

First read the [Technical summary of colibri](documentation/Technical_summary_of_colibri.md).

# Information for users

The documentation for end-users is not yet written. Though, there’s not
much to say. Users can subscribe/unsubscribe and check their information
on the web in addition to what you can usually do with a mailing list
server.

# Development Source code

We use [mercurial](https://en.wikipedia.org/wiki/Mercurial) for the source code. It's like `git`, but better.
You can clone from this very page (button at top-right).

